package com.sxyz.rfid.presenter.view;

import com.sxyz.rfid.presenter.model.ReviewDetailListModel;
import com.sxyz.rfid.presenter.model.ReviewDetailModel;
import com.sxyz.rfid.presenter.model.ReviewModel;
import com.sxyz.rfid.presenter.model.ReviewResultModel;
import com.sxyz.rfid.presenter.model.ReviewRfidTaskCheckModel;
import com.sxyz.rfid.presenter.model.ReviewTaskCheck;

/**
 * @Description: 盘点
 * @Author: chunyuan.wu
 * @CreateDate: 2024/11/11 17:53
 * @Version: 1.0
 */
public interface IReviewView {
    void reviewSuccess(ReviewModel model);

    void reviewLoadMoreSuccess(ReviewModel model);

    void reviewDetailSuccess(ReviewDetailModel model);

    void reviewDetailListSuccess(ReviewDetailListModel model);

    void reviewResultSuccess(ReviewResultModel model);

    void deleteReviewTaskSuccess();

    void reviewScanTaskCheckSuccess(ReviewRfidTaskCheckModel model);

    void reviewRfidTaskCheckSuccess(ReviewRfidTaskCheckModel model);

    //结束盘点成功
    void stopReviewTaskSuccess();

}
